import { ComponentChildren } from '../../../../react';
interface TooltipProps {
    content: ComponentChildren;
    children: ComponentChildren;
    delayDuration?: number;
    side?: 'top' | 'bottom' | 'left' | 'right';
    className?: string;
}
declare const Tooltip: ({ content, children, delayDuration, side, className }: TooltipProps) => import("react/jsx-runtime").JSX.Element;
declare const TooltipProvider: ({ children }: {
    children: ComponentChildren;
}) => import("react/jsx-runtime").JSX.Element;
declare const TooltipRoot: ({ content, children, delayDuration, side, className }: TooltipProps) => import("react/jsx-runtime").JSX.Element;
declare const TooltipTrigger: import('../../../../react').FunctionalComponent<import('../../../../react').PropsWithoutRef<JSX.HTMLAttributes<HTMLDivElement> & {
    asChild?: boolean | undefined;
}> & {
    ref?: import('../../../../react').Ref<HTMLDivElement> | undefined;
}>;
declare const TooltipContent: import('../../../../react').FunctionalComponent<import('../../../../react').PropsWithoutRef<JSX.HTMLAttributes<HTMLDivElement> & {
    sideOffset?: number | undefined;
}> & {
    ref?: import('../../../../react').Ref<HTMLDivElement> | undefined;
}>;
export { Tooltip, TooltipRoot, TooltipTrigger, TooltipContent, TooltipProvider };
